'use strict'

import React from 'react'
import { TheMicrophone, TheMicrophoneStyle } from 'the-microphone'
import { TheIconStyle } from 'the-icon'

class ExampleComponent extends React.Component {
  constructor (props) {
    super(props)
    this.micRef = React.createRef()
    this.state = {running: false}
  }

  render () {
    return (
      <div>
        <TheMicrophoneStyle/>
        <TheIconStyle/>
        <TheMicrophone onClick={() => this.setState({running: !this.state.running})}
                       running={this.state.running}
                       ref={this.micRef}
        />
      </div>

    )
  }

  componentDidMount () {
  }
}

export default ExampleComponent
